#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.18.6
visibility:           public
id:                   deferred-folds-0.9.18.6-EpyfGqzDG8mHpOzSE5q1tq
key:                  deferred-folds-0.9.18.6-EpyfGqzDG8mHpOzSE5q1tq
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/nikita-volkov/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  903490ce6d0c7180c4de6090e20716c7
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-9.2.8/site-local/deferred-folds-0.9.18.6
library-dirs:         /usr/lib/ghc-9.2.8/site-local/deferred-folds-0.9.18.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-deferred-folds
hs-libraries:         HSdeferred-folds-0.9.18.6-EpyfGqzDG8mHpOzSE5q1tq
depends:
    base-4.16.4.0 bytestring-0.11.4.0 containers-0.6.5.1
    foldl-1.4.17-8OoSBXidsMDDyKmw0A42ta
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    primitive-0.7.4.0-EiSZDHCiiZa24trDAETdpw text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    vector-0.13.1.0-1cpgbj3eXUqGZ3uVszXgJ9

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

